> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enterprise構成を取得

> Enterprise構成を取得します。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2025.0-jp.json GET /enterprise_configurations/{enterprise_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: アーカイブを管理するために使用される、一連のエンドポイント。
    x-box-tag: archives
  - name: Enterprise構成
    description: 管理者がBox製品の動作を制御するために操作するEnterprise構成。
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Genは、ドキュメントを自動的に生成するために使用されます。
    x-box-tag: docgen
  - name: Box Doc Genテンプレート
    description: Doc Genテンプレートは、ドキュメントを生成するための入力として使用されます。
    x-box-tag: docgen_template
  - name: 外部ユーザー
    description: 外部ユーザーは、自社に所属していないコラボレータです。
    x-box-tag: external_users
  - name: Box Hubs
    description: Box Hubsを管理するために使用される、一連のエンドポイント。
    x-box-tag: hubs
  - name: Box Hubコラボレーション
    description: Box Hub内のコラボレーションを管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_collaborations
  - name: Box Hubドキュメント
    description: Box Hubドキュメント要素 (ページとコンテンツブロック) を取得するために使用される、一連のエンドポイント。
    x-box-tag: hub_document
  - name: Box Hubの項目
    description: Box Hub内の項目を管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_items
  - name: Shieldリスト
    description: Shieldリストを使用すると、管理者は、さまざまなShieldスマートアクセスルールや脅威検出ルールで共有される項目のリストを作成できます。
    x-box-tag: shield_lists
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /enterprise_configurations/{enterprise_id}:
    get:
      summary: Enterprise構成を取得
      description: Enterprise構成を取得します。
      operationId: get_enterprise_configurations_id_v2025.0
      parameters:
        - name: enterprise_id
          in: path
          description: 企業のID。
          required: true
          schema:
            type: string
          example: '3442311'
        - name: categories
          in: query
          description: >-
            Enterprise構成のカテゴリのコンマ区切りリスト。使用可能な値:
            `security`、`content_and_sharing`、`user_settings`、`shield`。
          required: true
          schema:
            type: array
            items:
              type: string
          example:
            - security
            - content_and_sharing
            - user_settings
            - shield
          explode: false
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: Enterprise構成を返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseConfiguration'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Enterprise構成を取得
          source: >-
            curl -i -X GET
            "https://api.box.com/2.0/enterprise_configurations/3442311?categories=security,content_and_sharing"
            \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>"
        - lang: dotnet
          label: Enterprise構成を取得
          source: >-
            await
            adminClient.EnterpriseConfigurations.GetEnterpriseConfigurationByIdV2025R0Async(enterpriseId:
            enterpriseId, queryParams: new
            GetEnterpriseConfigurationByIdV2025R0QueryParams(categories:
            Array.AsReadOnly(new []
            {"user_settings","content_and_sharing","security","shield"})));
        - lang: swift
          label: Enterprise構成を取得
          source: >-
            try await
            adminClient.enterpriseConfigurations.getEnterpriseConfigurationByIdV2025R0(enterpriseId:
            enterpriseId, queryParams:
            GetEnterpriseConfigurationByIdV2025R0QueryParams(categories:
            ["user_settings", "content_and_sharing", "security", "shield"]))
        - lang: java
          label: Enterprise構成を取得
          source: >-
            adminClient.getEnterpriseConfigurations().getEnterpriseConfigurationByIdV2025R0(enterpriseId,
            new
            GetEnterpriseConfigurationByIdV2025R0QueryParams(Arrays.asList("user_settings",
            "content_and_sharing", "security", "shield")))
        - lang: node
          label: Enterprise構成を取得
          source: >-
            await
            adminClient.enterpriseConfigurations.getEnterpriseConfigurationByIdV2025R0(
              enterpriseId,
              {
                categories: ['user_settings', 'content_and_sharing', 'security', 'shield'],
              } satisfies GetEnterpriseConfigurationByIdV2025R0QueryParams,
            );
        - lang: python
          label: Enterprise構成を取得
          source: >-
            admin_client.enterprise_configurations.get_enterprise_configuration_by_id_v2025_r0(
                enterprise_id, ["user_settings", "content_and_sharing", "security", "shield"]
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    EnterpriseConfiguration:
      description: 指定したEnterpriseのEnterprise構成。
      type: object
      properties:
        id:
          description: Enterprise構成の識別子 (EnterpriseのID)。
          type: string
          example: '11446498'
        type:
          description: 値は常に`enterprise_configuration`になります。
          type: string
          example: enterprise_configuration
          enum:
            - enterprise_configuration
        security:
          allOf:
            - oneOf:
                - $ref: '#/components/schemas/EnterpriseConfigurationSecurity'
                - title: OpenAPI 3.0 null schema type
                  description: The definition for a null schema type in OpenAPI `3.0`.
                  type: object
                  nullable: true
                  additionalProperties: false
            - description: セキュリティカテゴリのEnterprise構成。
        content_and_sharing:
          allOf:
            - oneOf:
                - $ref: >-
                    #/components/schemas/EnterpriseConfigurationContentAndSharing
                - title: OpenAPI 3.0 null schema type
                  description: The definition for a null schema type in OpenAPI `3.0`.
                  type: object
                  nullable: true
                  additionalProperties: false
            - description: コンテンツと共有カテゴリのEnterprise構成。
        user_settings:
          allOf:
            - oneOf:
                - $ref: '#/components/schemas/EnterpriseConfigurationUserSettings'
                - title: OpenAPI 3.0 null schema type
                  description: The definition for a null schema type in OpenAPI `3.0`.
                  type: object
                  nullable: true
                  additionalProperties: false
            - description: ユーザー設定カテゴリのEnterprise構成。
        shield:
          allOf:
            - oneOf:
                - $ref: '#/components/schemas/EnterpriseConfigurationShield'
                - title: OpenAPI 3.0 null schema type
                  description: The definition for a null schema type in OpenAPI `3.0`.
                  type: object
                  nullable: true
                  additionalProperties: false
            - description: >-
                ShieldカテゴリのEnterprise構成。指定したEnterpriseのShieldが無効になっている場合、レスポンスは404になります。
      title: Enterprise構成
      x-box-resource-id: enterprise_configuration_v2025.0
      x-box-tag: enterprise_configurations
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2025.0
    EnterpriseConfigurationSecurity:
      description: セキュリティカテゴリのEnterprise構成。
      type: object
      properties:
        is_managed_user_signup_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ユーザーの自己サインアップを許可するかどうかを決定します。
        is_managed_user_signup_notification_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ユーザーが会社のメールアドレスでサインアップする必要があるかどうかを決定します。
        is_managed_user_signup_corporate_email_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 有効にした場合、新規ユーザーが追加されたときに管理者にメールが送信されます。
        is_new_user_notification_daily_digest_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                `is_managed_user_signup_corporate_email_enabled`によって異なります。値がtrueの場合は`In
                daily summary emails`を表します。falseの場合は`Immediately`を表します。
        is_managed_user_email_change_disabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 有効にした場合、ユーザーは自分のプライマリメールアドレスを変更できなくなります。
        is_multi_factor_auth_required:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: すべての管理対象ユーザーに多要素認証を要求するかどうかを決定します。
        is_weak_password_prevention_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 有効にした場合、パスワードに一般的な単語やメールアドレスを使用できなくなります。
        is_password_leak_detection_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 漏えいが確認されたパスワードの検出を有効にします。
        last_password_reset_at:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - properties:
                value:
                  description: Enterpriseのパスワードのリセットが最後に適用された日時。
                  type: string
                  format: date-time
                  example: '2012-12-12T10:53:43-08:00'
                  nullable: true
        is_password_request_notification_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 有効にした場合、ユーザーがパスワード忘れのメールをリクエストしたときに管理者に通知されます。
        is_password_change_notification_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 有効にした場合、ユーザーが設定でパワードを変更したときに管理者に通知されます。
        is_strong_password_for_ext_collab_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 外部コラボレータに強力なパスワードを要求します。
        is_managed_user_migration_disabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ユーザーのEnterprise内外への移行を無効にします。
        join_link:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                自己サインアップ用の参加URL。`is_managed_user_signup_enabled`によって異なります。`join_url`を使用しない場合に適用されます。
        join_url:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: >-
                自己サインアップ用の参加URL。`is_managed_user_signup_enabled`によって異なります。`join_link`を使用しない場合に適用されます。
        failed_login_attempts_to_trigger_admin_notification:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: プライマリ管理者に通知するまでの、失敗したログイン試行回数。
        password_min_length:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: パスワードに必要な最小文字数。
        password_min_uppercase_characters:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: パスワードに必要な大文字の最小数。
        password_min_numeric_characters:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: パスワードに必要な数字の最小数。
        password_min_special_characters:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: パスワードに必要な記号の最小数。
        password_reset_frequency:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 指定された期間ごとにユーザーがパスワードをリセットする必要があるかどうかを決定します。
        previous_password_reuse_limit:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: ユーザーが再利用を禁止されている過去のパスワードの数。
        session_duration:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 前回のアクティビティからユーザーがログアウトされるまでに、アクティビティなしでログインした状態を維持できる時間を示す値。
        external_collab_multi_factor_auth_settings:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: 外部コラボレータの多要素認証設定。
            - properties:
                value:
                  allOf:
                    - oneOf:
                        - $ref: '#/components/schemas/ExternalCollabSecuritySettings'
                        - title: OpenAPI 3.0 null schema type
                          description: >-
                            The definition for a null schema type in OpenAPI
                            `3.0`.
                          type: object
                          nullable: true
                          additionalProperties: false
                    - description: 外部コラボレーションのセキュリティ設定。
        keysafe:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - properties:
                value:
                  allOf:
                    - oneOf:
                        - $ref: '#/components/schemas/KeysafeSettings'
                        - title: OpenAPI 3.0 null schema type
                          description: >-
                            The definition for a null schema type in OpenAPI
                            `3.0`.
                          type: object
                          nullable: true
                          additionalProperties: false
                    - description: KeySafeの設定。
        is_custom_session_duration_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 選択したユーザーのカスタムセッション持続期間を有効にします。
        custom_session_duration_value:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 指定のグループのユーザーが何も操作をしていなくてもログアウトされずにログイン状態を維持できる時間を示す値。
        custom_session_duration_groups:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: カスタムセッション持続期間の対象グループ。
            - properties:
                value:
                  type: array
                  items:
                    $ref: '#/components/schemas/CustomSessionDurationGroupItem'
        multi_factor_auth_type:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 管理対象ユーザーに要求する多要素認証の認証方法のタイプ。
        enforced_mfa_frequency:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: >-
                管理対象ユーザーの多要素認証の頻度。デフォルトの認証頻度は30日に設定され、認証時間は直近の成功したMFAログインから計算されます。
            - properties:
                value:
                  type: object
                  properties:
                    days:
                      type: integer
                      nullable: true
                      description: ユーザーが再認証を要求されるまでの日数。
                      example: 30
                    hours:
                      type: integer
                      nullable: true
                      description: ユーザーが再認証を要求されるまでの時間数。
                      example: 24
      title: Enterprise構成 (セキュリティ)
      x-box-resource-id: enterprise_configuration_security_v2025.0
      x-box-tag: enterprise_configurations
    EnterpriseConfigurationContentAndSharing:
      description: コンテンツと共有カテゴリのEnterprise構成。
      type: object
      properties:
        enterprise_feature_settings:
          type: array
          items:
            $ref: '#/components/schemas/EnterpriseFeatureSettingsItem'
        sharing_item_type:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 共有が有効になっている項目のタイプに対して選択されたオプション。
        shared_link_company_definition:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 共有リンクにおける会社の定義 (`enterprise_id`、`users_with_email_domain`など)。
        shared_link_access:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 共有リンクにアクセスできるユーザーに対して選択されたオプション。
        shared_link_default_access:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 共有リンクのアクセスレベルに対して選択されたオプション。
        shared_link_default_permissions_selected:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: 各タイプの共有リンクに選択された権限。
            - properties:
                value:
                  $ref: '#/components/schemas/SharedLinkPermissions'
        is_open_custom_urls_disabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: パブリックアクセスのリンクにカスタム共有リンクURLを許可しません。
        is_custom_domain_hidden_in_shared_link:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 共有リンクのカスタムドメインを非表示にします。
        collaboration_permissions:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - properties:
                value:
                  $ref: '#/components/schemas/CollaborationPermissions'
        default_collaboration_role:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 現在のデフォルトのコラボレーションロール。
        is_invite_privilege_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 招待を管理者、フォルダ所有者、共同所有者のみに制限します。
        collaboration_restrictions:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: Enterpriseのコラボレーションの制限。
            - properties:
                value:
                  type: array
                  items:
                    type: string
                    description: 'コラボレーションの制限。使用可能な値: `internal`、`external`。'
                    example: internal
                  example:
                    - internal
        is_collaborator_invite_links_disabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ユーザーによる招待リンクを使用したコラボレータの招待を無効にします。
        is_invite_group_collaborator_disabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ユーザーによるグループコラボレータの招待を無効にします。
        is_ownership_transfer_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 外部ユーザーへの所有権の移管を禁止します。
        external_collaboration_status:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: >-
                外部コラボレーションのステータス。使用可能な値:
                `enable_external_collaboration`、`limit_collaboration_to_allowlisted_domains`、`limit_collaboration_to_users_within_enterprise`。
            - properties:
                value:
                  description: 外部コラボレーションのステータス。
                  type: string
                  example: enable_external_collaboration
                  nullable: true
        external_collaboration_allowlist_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: 外部コラボレーションの許可リストのユーザー。
            - properties:
                value:
                  type: array
                  items:
                    $ref: '#/components/schemas/ListUser'
        is_watermarking_enterprise_feature_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 電子すかしに関するEnterprise機能を有効にします。
        is_root_content_creation_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 管理者にのみ第1レベルのフォルダ、ファイル、ブックマークの作成および削除を許可します。
        is_tag_creation_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 選択したユーザーのみがタグを作成できます。
        tag_creation_restriction:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: タグの作成制限に対して選択されたオプション。
        is_email_uploads_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: メールによるアップロードを有効にします。
        is_custom_settings_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: カスタム設定を有効にします。
        is_forms_login_required:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: FormsでアップローダーにBoxアカウントを使用したログインを要求します。
        is_forms_branding_default_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 会社のブランドカラーとロゴのデフォルトをFormsの \[ブランドカラーで使用するロゴ] に設定します。
        is_cc_free_trial_active:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: Enterpriseが無料トライアル期間中かどうかを示します。
        is_file_request_editors_allowed:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 編集者にファイルリクエスト機能が許可されているかどうかを示します。
        is_file_request_branding_default_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 会社のブランドカラーとロゴのデフォルトをファイルリクエストの \[ブランドカラーで使用するロゴ] に設定します。
        is_file_request_login_required:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ファイルリクエストでアップローダーにBoxアカウントを使用したログインを要求します。
        is_shared_links_expiration_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 共有リンクの有効期限を有効にします。
        shared_links_expiration_days:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: 共有リンクの有効期限。
        is_public_shared_links_expiration_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 公開共有リンクの有効期限を有効にします。
        public_shared_links_expiration_days:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: 公開共有リンクの有効期限。
        shared_expiration_target:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 共有リンクの有効期限の適用対象で選択された種類のオプション。
        is_shared_links_expiration_notification_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 共有リンクの有効期限の通知を有効にします。
        shared_links_expiration_notification_days:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: 有効期限の何日前にユーザーに通知するかを示す日数。
        is_shared_links_expiration_notification_prevented:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ユーザーが共有リンクの有効期限の通知を無効にできないようにします。
        is_auto_delete_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 自動削除を有効にします。
        auto_delete_days:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: 自動削除までの日数。
        is_auto_delete_expiration_modification_prevented:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ユーザーが自動削除の有効期限を変更できないようにします。
        auto_delete_target:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 自動削除を適用するタイプの選択されたオプション。
        is_collaboration_expiration_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: コラボレーションの有効期限を有効にします。
        collaboration_expiration_days:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: コラボレーションの有効期限までの日数。
        is_collaboration_expiration_modification_prevented:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ユーザーがコラボレーションの有効期限を変更できないようにします。
        is_collaboration_expiration_notification_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: コラボレーションの有効期限の通知を有効にします。
        collaboration_expiration_target:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: コラボレーションの有効期限を適用するタイプの選択されたオプション。
        trash_auto_clear_time:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: ごみ箱から項目が完全に削除されるまでの時間 (秒)。
        permanent_deletion_access:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: ごみ箱から項目を削除できるユーザーに対して選択されたオプション。
        permanent_deletion_allowlist_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: ごみ箱から項目を完全に削除できるユーザーの許可リスト。
            - properties:
                value:
                  type: array
                  items:
                    $ref: '#/components/schemas/ListUser'
      title: Enterprise構成 (コンテンツと共有)
      x-box-resource-id: enterprise_configuration_content_and_sharing_v2025.0
      x-box-tag: enterprise_configurations
    EnterpriseConfigurationUserSettings:
      description: ユーザー設定カテゴリのEnterprise構成。
      type: object
      properties:
        enterprise_feature_settings:
          type: array
          items:
            $ref: '#/components/schemas/EnterpriseFeatureSettingsItem'
        user_invites_expiration_time_frame:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 承認されていないBox Enterpriseアカウントへの招待が期限切れになるまでの期間を決定します。
            - example:
                is_used: true
                value: 7 days
        is_username_change_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ユーザーが \[アカウント設定] でユーザー名を変更することを制限するかどうかを決定します。
        is_box_sync_restricted_for_new_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 新規ユーザーに対してBox Syncを制限するかどうかを決定します。
        is_view_all_users_enabled_for_new_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                新規ユーザーがコラボレータを招待する際に、自分の連絡先に登録されているすべての管理対象ユーザーを表示できるようにするかどうかを決定します。
        is_device_limit_exemption_enabled_for_new_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: \[デバイス保護] 設定で指定されているデバイスの最大数から新規ユーザーを除外するかどうかを決定します。
        is_external_collaboration_restricted_for_new_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 新規ユーザーに、外部コラボレータが含まれるフォルダの作成を許可するかどうかを決定します。
        is_unlimited_storage_enabled_for_new_users:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: 新規ユーザーに無制限のストレージを提供するかどうかを決定します。
        new_user_default_storage_limit:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: >-
                新規ユーザー用にデフォルトのストレージの上限を決定します。`is_unlimited_storage_enabled_for_new_users`がtrueの場合は適用されません。
        new_user_default_timezone:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 新規ユーザーのデフォルトのタイムゾーンを決定します。
            - example:
                is_used: true
                value: GMT-05:00 America\/Chicago CDT
        new_user_default_language:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemString'
            - description: 新規ユーザーのデフォルトの言語を決定します。
            - example:
                is_used: true
                value: English (US)
        is_enterprise_sso_required:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: すべてのユーザーに対してSSOが必須かどうかを示す値。
        is_enterprise_sso_in_testing:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: すべてのユーザーに対してSSOがテストモードかどうかを示す値。
        is_sso_auto_add_groups_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: >-
                SSOでログインしたユーザー用の新規グループがEnterpriseに登録されていない場合にそのEnterpriseに自動的に追加するかどうかを決定します。
        is_sso_auto_add_user_to_groups_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: SSOでのログイン時にユーザーをEnterpriseグループに追加するかどうかを決定します。
        is_sso_auto_remove_user_from_groups_enabled:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: SSOでのログイン時にユーザーをEnterpriseグループから削除するかどうかを決定します。
        user_tracking_codes:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItem'
            - description: 従業員IDや地域など、追加の値としてユーザーに割り当てられるプロパティ。
            - properties:
                value:
                  type: array
                  items:
                    $ref: '#/components/schemas/UserTrackingCode'
        number_of_user_tracking_codes_remaining:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemInteger'
            - description: 作成可能な`user_tracking_codes`の残数。
        is_instant_login_restricted:
          allOf:
            - $ref: '#/components/schemas/EnterpriseConfigurationItemBoolean'
            - description: ユーザーがトラブルシューティングのためにBoxサポートへの (制限付き) アクセスを許可することを制限するかどうかを決定します。
      title: Enterprise構成 (ユーザー設定)
      x-box-resource-id: enterprise_configuration_user_settings_v2025.0
      x-box-tag: enterprise_configurations
    EnterpriseConfigurationShield:
      description: ShieldカテゴリのEnterprise構成。
      type: object
      properties:
        shield_rules:
          description: EnterpriseのShieldルールの構成。
          type: array
          items:
            $ref: '#/components/schemas/ShieldRuleItem'
      title: Enterprise構成 (Shield)
      x-box-resource-id: enterprise_configuration_shield_v2025.0
      x-box-tag: enterprise_configurations
    EnterpriseConfigurationItemBoolean:
      description: ブール型の値が設定されているEnterprise構成の項目。
      type: object
      allOf:
        - $ref: '#/components/schemas/EnterpriseConfigurationItem'
        - properties:
            value:
              description: Enterprise構成の値 (ブール値)。
              type: boolean
              example: true
              nullable: true
      title: ブール値が設定されているEnterprise構成の項目
    EnterpriseConfigurationItem:
      description: Enterprise構成の各レスポンスオブジェクトに含まれる基本データ。
      type: object
      properties:
        is_used:
          description: 指定したEnterpriseに構成が使用されているかどうかを示します。
          type: boolean
          example: true
      title: Enterprise構成の項目
    EnterpriseConfigurationItemString:
      description: 文字列型の値が設定されているEnterprise構成の項目。
      type: object
      allOf:
        - $ref: '#/components/schemas/EnterpriseConfigurationItem'
        - properties:
            value:
              description: Enterprise構成の値 (文字列)。
              type: string
              example: value of configuration
              nullable: true
      title: 文字列値が設定されているEnterprise構成の項目
    EnterpriseConfigurationItemInteger:
      description: 整数型の値が設定されているEnterprise構成の項目。
      type: object
      allOf:
        - $ref: '#/components/schemas/EnterpriseConfigurationItem'
        - properties:
            value:
              description: Enterprise構成の値 (整数)。
              type: integer
              example: 1234
              nullable: true
      title: 整数値が設定されているEnterprise構成の項目
    ExternalCollabSecuritySettings:
      description: 外部コラボレーションのセキュリティ設定。
      type: object
      properties:
        denylist_domains:
          description: 外部コラボレーションが許可されていないドメインのリスト。状態が`denylist`の場合に適用されます。
          type: array
          items:
            type: string
            example: example.com
          example:
            - example.com
        denylist_emails:
          description: 外部コラボレーションが許可されていないメールアドレスのリスト。状態が`denylist`の場合に適用されます。
          type: array
          items:
            type: string
            example: spam@example.com
          example:
            - spam@example.com
        allowlist_domains:
          description: 外部コラボレーションが許可されているドメインのリスト。状態が`allowlist`の場合に適用されます。
          type: array
          items:
            type: string
            example: example.com
          example:
            - example.com
        allowlist_emails:
          description: 外部コラボレーションが許可されているメールアドレスのリスト。状態が`allowlist`の場合に適用されます。
          type: array
          items:
            type: string
            example: mail@example.com
          example:
            - mail@example.com
        state:
          description: >-
            外部コラボレーションのセキュリティ設定の状態。使用可能な値は`enabled`、`disabled`、`allowlist`、`denylist`です。
          type: string
          example: enabled
          nullable: true
        scheduled_status:
          description: >-
            外部コラボレーションのセキュリティ設定を適用するスケジュール設定の状態。使用可能な値には`in_progress`、`scheduled`、`completed`、`failed`、`scheduled_immediate`があります。
          type: string
          example: inprogress
          nullable: true
        scheduled_at:
          description: スケジュールされている日時。
          type: string
          format: date-time
          example: '2012-12-12T10:53:43-08:00'
          nullable: true
        factor_type_settings:
          description: 外部コラボレータの認証の要素の種類。使用可能な値には`totp`、`any`、`unknown`があります。
          type: string
          example: totp
          nullable: true
      title: 外部コラボレーションのセキュリティ設定
    KeysafeSettings:
      description: KeySafeの設定。
      type: object
      properties:
        keysafe_enabled:
          description: Enterpriseに対してKeySafeアドオンが有効になっているかどうか。
          type: boolean
          example: true
        cloud_provider:
          description: クラウドプロバイダ。
          type: string
          example: ''
          nullable: true
        key_id:
          description: キーID。
          type: string
          example: '1234'
          nullable: true
        account_id:
          description: アカウントID。
          type: string
          example: '1234'
          nullable: true
        location_id:
          description: ロケーションID。
          type: string
          example: '1234'
          nullable: true
        project_id:
          description: プロジェクトID。
          type: string
          example: '1234'
          nullable: true
        keyring_id:
          description: キーリングID。
          type: string
          example: '1234'
          nullable: true
      title: KeySafeの設定
    CustomSessionDurationGroupItem:
      description: カスタムセッション持続期間グループ項目。
      type: object
      properties:
        id:
          description: グループID (数値)。
          type: string
          example: '1234'
        name:
          description: グループ名。
          type: string
          example: Group Name
      title: カスタムセッション持続期間グループ項目
    EnterpriseFeatureSettingsItem:
      description: Enterprise機能の設定項目。
      type: object
      allOf:
        - $ref: '#/components/schemas/EnterpriseConfigurationItem'
        - description: Enterprise機能の設定。
        - properties:
            value:
              $ref: '#/components/schemas/EnterpriseFeatureSetting'
      title: Enterprise機能の設定項目
    SharedLinkPermissions:
      description: Enterpriseの共有リンクの権限。
      type: object
      properties:
        shared_links_option:
          description: 共有リンクの権限に対して選択されたオプション。
          type: string
          example: settings_shared_link_preview
          nullable: true
        default_shared_link_type:
          description: 共有リンクのデフォルトの種類。
          type: string
          example: settings_default_shared_link_preview
          nullable: true
        notes_shared_link_option:
          description: メモの共有リンクの権限に対して選択されたオプション。
          type: string
          example: settings_notes_option_to_edit
          nullable: true
        default_notes_shared_link_type:
          description: メモの共有リンクのデフォルトの種類。
          type: string
          example: settings_default_notes_shared_link_to_edit
          nullable: true
      title: 共有リンクの権限
    CollaborationPermissions:
      description: コラボレーションの権限。
      type: object
      properties:
        is_co_owner_role_enabled:
          description: 共同所有者のロールでコラボレーションが有効になっています。
          type: boolean
          example: true
        is_editor_role_enabled:
          description: 編集者のロールでコラボレーションが有効になっています。
          type: boolean
          example: true
        is_previewer_role_enabled:
          description: プレビューアーのロールでコラボレーションが有効になっています。
          type: boolean
          example: true
        is_previewer_uploader_role_enabled:
          description: プレビューアー/アップローダーのロールでコラボレーションが有効になっています。
          type: boolean
          example: true
        is_uploader_role_enabled:
          description: アップローダーのロールでコラボレーションが有効になっています。
          type: boolean
          example: true
        is_viewer_role_enabled:
          description: ビューアーのロールでコラボレーションが有効になっています。
          type: boolean
          example: true
        is_viewer_uploader_role_enabled:
          description: ビューアー/アップローダーのロールでコラボレーションが有効になっています。
          type: boolean
          example: true
      title: コラボレーションの権限
    ListUser:
      description: 許可リストまたは不許可リストのユーザー。
      type: object
      properties:
        id:
          description: ユーザーのID。
          type: integer
          example: 1234
          nullable: true
        name:
          description: ユーザーの名前。
          type: string
          example: John Doe
          nullable: true
        email:
          description: ユーザーのメールアドレス。
          type: string
          example: johndoe@box.com
          nullable: true
      title: リストのユーザー
    UserTrackingCode:
      description: ユーザー追跡コード。
      type: object
      properties:
        id:
          description: ユーザー追跡コードのID。
          type: integer
          format: int64
          example: 1234
          nullable: true
        name:
          description: ユーザー追跡コードの名前。
          type: string
          example: Employee ID
          nullable: true
      title: ユーザー追跡コード
    ShieldRuleItem:
      description: Shieldルールの項目。
      type: object
      properties:
        id:
          description: Shieldルールの識別子。
          type: string
          example: '1234567890'
        type:
          description: 値は常に`shield_rule`になります。
          type: string
          example: shield_rule
          enum:
            - shield_rule
        rule_category:
          description: Shieldルールのカテゴリ。
          type: string
          example: Malicious Content
        name:
          description: Shieldルールの名前。
          type: string
          example: Block malicious files
        description:
          description: Shieldルールの説明。
          type: string
          example: Blocks files identified as malicious content
        priority:
          description: Shieldルールの優先度レベル。
          type: string
          example: high
          enum:
            - informational
            - low
            - medium
            - high
            - critical
        created_at:
          description: Shieldルールが作成された日時。
          type: string
          format: date-time
          example: '2012-12-12T10:53:43-08:00'
        modified_at:
          description: Shieldルールが最後に変更された日時。
          type: string
          format: date-time
          example: '2012-12-12T10:53:43-08:00'
      title: Shieldルールの項目
    EnterpriseFeatureSetting:
      description: Enterprise機能の設定。
      type: object
      properties:
        id:
          description: Enterprise機能設定の識別子。
          type: string
          example: eyJlbnRlcnByaXNlSWQiOiIxMTExNDQyNzY3IiwiZmVhdHVyZUlkIjoiY2FudmFzIn0=
          nullable: true
        feature:
          description: 機能。
          type: object
          properties:
            id:
              description: 機能の識別子。
              type: string
              example: canvas
              nullable: true
        state:
          description: 機能の状態。
          type: string
          example: enabled
          nullable: true
        can_configure:
          description: 機能を構成できるかどうか。
          type: boolean
          example: true
          nullable: true
        is_configured:
          description: 機能が構成されているかどうか。
          type: boolean
          example: true
          nullable: true
        allowlist:
          description: Enterprise機能の設定は、このユーザーとグループのセットに対してのみ有効になっています。
          type: array
          items:
            $ref: '#/components/schemas/UserOrGroupReference'
          nullable: true
        denylist:
          description: Enterprise機能の設定は、このユーザーとグループのセットを除くすべてのユーザーに対して有効になっています。
          type: array
          items:
            $ref: '#/components/schemas/UserOrGroupReference'
          nullable: true
      title: Enterprise機能の設定
    UserOrGroupReference:
      description: ユーザーまたはグループへの参照。
      type: object
      properties:
        type:
          description: 種類は`user`または`group`。
          type: string
          example: user
          enum:
            - user
            - group
        id:
          description: ユーザーまたはグループの識別子。
          type: string
          example: '12345'
      title: ユーザーまたはグループの参照
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````